## amrparse amrparse — AMR parser |

## Types and Values

struct | GstAmrParse

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseParse
                    ╰── GstAmrParse

## Description

This is an AMR parser capable of handling both narrow-band and wideband formats.

### Example launch line

    1
    gst-launch filesrc location=abc.amr ! amrparse ! amrdec ! audioresample ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audioparsers
author | Ronald Bultje <rbultje@ronald.bitfreak.net>
class | Codec/Parser/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-amr-nb-sh
| audio/x-amr-wb-sh

name | src
direction | source
presence | always
details | audio/AMR, rate=(int)8000, channels=(int)1
| audio/AMR-WB, rate=(int)16000, channels=(int)1

## Functions

## Types and Values

### struct GstAmrParse

    struct GstAmrParse;

The opaque GstAacParse data structure.

#### Members

## See Also

GstAmrnbDec, GstAmrnbEnc